make old addons work anyway... Rated 1 out of 5 stars

-install firefox 9
-install your "ff10 disabled" addon
-install addon compatibility reporter
-update ff to 10
-enjoy using your plugin

(tested with google toolbar which still mostly works with ff10)

cheers

This review is for a previous version of the add-on (1.1.1-signed).